Bug 62878 - No sound after wake-up
No sound after wake-up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-06 18:08 EST by Michal Jaegermann
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lscpi output before and after suspend (4.46 KB, application/x-gzip)
2002-04-09 12:26 EDT, Michal Jaegermann
no flags Details
Output from lspci before and after suspension with 2.4.18-0.21 (2.89 KB, application/x-gzip)
2002-04-12 17:09 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2002-04-06 18:08:14 EST
Description of Problem:

Acer Travelmate laptop with kernel 2.4.18-0.13 from beta4 (the same machine
for which the more detailed description can be found in #61816) and sound
card which looks in 'dmesg' like that:

i810: Intel ICH3 found at IO 0xb400 and 0xb000, IRQ 10
i810_audio: Audio Controller supports 6 channels.
ac97_codec: AC97 Audio codec, id: 0x414c:0x4710 (ALC200/200P)
i810_audio: AC'97 codec 0 supports AMAP, total channels = 2
ac97_codec: AC97 Modem codec, id: 0x5349:0x4c27 (Unknown)

A device with PCI id 8086:2485 and which shows up with 'lspci -vv ...' as:

00:1f.5 Multimedia audio controller: Intel Corporation: Unknown device 2485 (rev
01)
	Subsystem: Acer Incorporated [ALI]: Unknown device 1017
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin B routed to IRQ 10
	Region 0: I/O ports at b000 [size=256]
	Region 1: I/O ports at b400 [size=64]

The problem is that sound is operational only until a laptot will suspend;
either because of inactivity or because an appropriate function key was
pushed.  After wake-up no errors are reported but there is no sound either.
Everything looks normal and one can "play" but any activity on speakers
will resume only after a reboot.

A "soft" reboot is only required, without powering down.  OTOH unloading/
loading sound modules and/or taking it to a run level 1 is not enough.

Version-Release number of selected component (if applicable):
2.4.18-0.13

How Reproducible:
Works always.
Comment 1 Arjan van de Ven 2002-04-09 08:29:12 EDT
It looks like the bios is not restoring devices properly.
Can be interesting to do the following:
lspci -vxxx from just before and just after the suspend
and then diff (or just attach and I'll diff)
Comment 2 Michal Jaegermann 2002-04-09 12:25:05 EDT
Attached.  There are only two bytes changed in an output of 'lspci -vvxxx'
after a suspend but these bytes are persistent.  That means that attempts
to use 'setpci' to change their value do not work.  No error but no change
either.
Comment 3 Michal Jaegermann 2002-04-09 12:26:49 EDT
Created attachment 52884 [details]
lscpi output before and after suspend
Comment 4 Arjan van de Ven 2002-04-12 08:33:26 EDT
well interesting; those bytes are rather important ;)
(eg the bridge looses half the PCI space it can see!)

Could you try kernel 2.4.18-0.21? It has some improved PCI resume code.
(you may need to add resume=force on the kernel command line if your
 laptop isn't auto-detected)
Comment 5 Michal Jaegermann 2002-04-12 11:06:44 EDT
> Could you try kernel 2.4.18-0.21?

I will do that a bit later but if you would like some other data from this
laptop you better hurry.  Unfortunately it is not mine and although it is
still within my reach it may go away any moment (and soon after it will
travel to another continent :-).
Comment 6 Michal Jaegermann 2002-04-12 17:07:40 EDT
Not much positive change with 2.4.18-0.21 in this problem, I am afraid.
The behaviour with sound is as before.  There are new differences in
lscpi output before and after suspend (and for some reasons getting this
thing to stay suspended after a push on a "suspend" key and not to resume
immediately is a black art :-).
Comment 7 Michal Jaegermann 2002-04-12 17:09:15 EDT
Created attachment 53684 [details]
Output from lspci before and after suspension with 2.4.18-0.21
Comment 8 Bugzilla owner 2004-09-30 11:39:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.